Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.el
Class GreekCharsets

    java.lang.Object
      org.apache.lucene.analysis.el.GreekCharsets

    public class GreekCharsets

extends Object

GreekCharsets class contains encodings schemes (charsets) and toLowerCase() method implementation for greek characters in Unicode, ISO-8859-7 and Microsoft Windows CP1253. Each encoding scheme contains lowercase (positions 0-35) and uppercase (position 36-68) characters, including accented ones. One should be able to add other encoding schemes (see RFC 1947) by adding the definition of a new charset as well as the required logic in the toLowerCase() method.

Field Summary
`static char[]` | `CP1253`
`static char[]` | `ISO`
`static char[]` | `UnicodeGreek`

Constructor Summary
`GreekCharsets()`

Method Summary
`static char` | `toLowerCase(char letter, char[] charset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UnicodeGreek

    public static char[] UnicodeGreek

### ISO

    public static char[] ISO

### CP1253

    public static char[] CP1253

Constructor Detail

### GreekCharsets

    public GreekCharsets()

Method Detail

### toLowerCase

    public static char toLowerCase(char letter,
                                   char[] charset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.